Set System Variables

Sets the system variable values for the specified node pair.

Required Permissions

Requires the MASTER role or higher.

HTTP Request

PUT /api/sonar/system-variables/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d disk_lack_action="stop" \
     -d min_free_disk_space_type="percent" \
     -d min_free_disk_space_value="10" \
     -X PUT \
     https://HOSTNAME/api/sonar/system-variables/a1b2c3d4-e5f6-7890-abcd-ef1234567890
Request Parameters
Path Parameters
KeyTypeDescriptionNotes
guidStringNode pair GUID36 characters
Request Body Parameters
KeyRequiredTypeDescriptionNotes
disk_lack_actionYesStringAction when disk is full
min_free_disk_space_typeYesStringType of the disk free space threshold
min_free_disk_space_valueYesStringValue of the disk free space threshold

Success Response

{}

Error Responses

Required parameter is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guid should be not null"
}
Node pair identifier is not in GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
Node pair does not exist

HTTP status code 500

{
  "error_code": "illegal-argument",
  "error_msg": "node pair not found: a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}